<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:13 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>JavaExecSpec (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="JavaExecSpec (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/process/ExecSpec.html" title="interface in org.gradle.process"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/gradle/process/JavaForkOptions.html" title="interface in org.gradle.process"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/process/JavaExecSpec.html" target="_top">Frames</a></li>
<li><a href="JavaExecSpec.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.process</div>
<h2 title="Interface JavaExecSpec" class="title">Interface JavaExecSpec</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../org/gradle/process/BaseExecSpec.html" title="interface in org.gradle.process">BaseExecSpec</a>, <a href="../../../org/gradle/process/JavaForkOptions.html" title="interface in org.gradle.process">JavaForkOptions</a>, <a href="../../../org/gradle/process/ProcessForkOptions.html" title="interface in org.gradle.process">ProcessForkOptions</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../org/gradle/api/tasks/JavaExec.html" title="class in org.gradle.api.tasks">JavaExec</a>, <a href="../../../org/gradle/plugins/javascript/rhino/RhinoShellExec.html" title="class in org.gradle.plugins.javascript.rhino">RhinoShellExec</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">JavaExecSpec</span>
extends <a href="../../../org/gradle/process/JavaForkOptions.html" title="interface in org.gradle.process">JavaForkOptions</a>, <a href="../../../org/gradle/process/BaseExecSpec.html" title="interface in org.gradle.process">BaseExecSpec</a></pre>
<div class="block">Specifies the options for executing a Java application.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../org/gradle/process/JavaExecSpec.html" title="interface in org.gradle.process">JavaExecSpec</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/JavaExecSpec.html#args(java.lang.Iterable)">args</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;?&gt;&nbsp;args)</code>
<div class="block">Adds args for the main class to be executed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../org/gradle/process/JavaExecSpec.html" title="interface in org.gradle.process">JavaExecSpec</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/JavaExecSpec.html#args(java.lang.Object...)">args</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;args)</code>
<div class="block">Adds args for the main class to be executed.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../org/gradle/process/JavaExecSpec.html" title="interface in org.gradle.process">JavaExecSpec</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/JavaExecSpec.html#classpath(java.lang.Object...)">classpath</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;paths)</code>
<div class="block">Adds elements to the classpath for executing the main class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/JavaExecSpec.html#getArgs()">getArgs</a></strong>()</code>
<div class="block">Returns the arguments passed to the main class to be executed.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/JavaExecSpec.html#getClasspath()">getClasspath</a></strong>()</code>
<div class="block">Returns the classpath for executing the main class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/JavaExecSpec.html#getMain()">getMain</a></strong>()</code>
<div class="block">Returns the fully qualified name of the Main class to be executed.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../org/gradle/process/JavaExecSpec.html" title="interface in org.gradle.process">JavaExecSpec</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/JavaExecSpec.html#setArgs(java.lang.Iterable)">setArgs</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;?&gt;&nbsp;args)</code>
<div class="block">Sets the args for the main class to be executed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../org/gradle/process/JavaExecSpec.html" title="interface in org.gradle.process">JavaExecSpec</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/JavaExecSpec.html#setArgs(java.util.List)">setArgs</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;args)</code>
<div class="block">Sets the args for the main class to be executed.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../org/gradle/process/JavaExecSpec.html" title="interface in org.gradle.process">JavaExecSpec</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/JavaExecSpec.html#setClasspath(org.gradle.api.file.FileCollection)">setClasspath</a></strong>(<a href="../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;classpath)</code>
<div class="block">Sets the classpath for executing the main class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../org/gradle/process/JavaExecSpec.html" title="interface in org.gradle.process">JavaExecSpec</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/process/JavaExecSpec.html#setMain(java.lang.String)">setMain</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;main)</code>
<div class="block">Sets the fully qualified name of the main class to be executed.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.process.JavaForkOptions">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.process.<a href="../../../org/gradle/process/JavaForkOptions.html" title="interface in org.gradle.process">JavaForkOptions</a></h3>
<code><a href="../../../org/gradle/process/JavaForkOptions.html#bootstrapClasspath(java.lang.Object...)">bootstrapClasspath</a>, <a href="../../../org/gradle/process/JavaForkOptions.html#copyTo(org.gradle.process.JavaForkOptions)">copyTo</a>, <a href="../../../org/gradle/process/JavaForkOptions.html#getAllJvmArgs()">getAllJvmArgs</a>, <a href="../../../org/gradle/process/JavaForkOptions.html#getBootstrapClasspath()">getBootstrapClasspath</a>, <a href="../../../org/gradle/process/JavaForkOptions.html#getDebug()">getDebug</a>, <a href="../../../org/gradle/process/JavaForkOptions.html#getDefaultCharacterEncoding()">getDefaultCharacterEncoding</a>, <a href="../../../org/gradle/process/JavaForkOptions.html#getEnableAssertions()">getEnableAssertions</a>, <a href="../../../org/gradle/process/JavaForkOptions.html#getJvmArgs()">getJvmArgs</a>, <a href="../../../org/gradle/process/JavaForkOptions.html#getMaxHeapSize()">getMaxHeapSize</a>, <a href="../../../org/gradle/process/JavaForkOptions.html#getMinHeapSize()">getMinHeapSize</a>, <a href="../../../org/gradle/process/JavaForkOptions.html#getSystemProperties()">getSystemProperties</a>, <a href="../../../org/gradle/process/JavaForkOptions.html#jvmArgs(java.lang.Iterable)">jvmArgs</a>, <a href="../../../org/gradle/process/JavaForkOptions.html#jvmArgs(java.lang.Object...)">jvmArgs</a>, <a href="../../../org/gradle/process/JavaForkOptions.html#setAllJvmArgs(java.lang.Iterable)">setAllJvmArgs</a>, <a href="../../../org/gradle/process/JavaForkOptions.html#setAllJvmArgs(java.util.List)">setAllJvmArgs</a>, <a href="../../../org/gradle/process/JavaForkOptions.html#setBootstrapClasspath(org.gradle.api.file.FileCollection)">setBootstrapClasspath</a>, <a href="../../../org/gradle/process/JavaForkOptions.html#setDebug(boolean)">setDebug</a>, <a href="../../../org/gradle/process/JavaForkOptions.html#setDefaultCharacterEncoding(java.lang.String)">setDefaultCharacterEncoding</a>, <a href="../../../org/gradle/process/JavaForkOptions.html#setEnableAssertions(boolean)">setEnableAssertions</a>, <a href="../../../org/gradle/process/JavaForkOptions.html#setJvmArgs(java.lang.Iterable)">setJvmArgs</a>, <a href="../../../org/gradle/process/JavaForkOptions.html#setJvmArgs(java.util.List)">setJvmArgs</a>, <a href="../../../org/gradle/process/JavaForkOptions.html#setMaxHeapSize(java.lang.String)">setMaxHeapSize</a>, <a href="../../../org/gradle/process/JavaForkOptions.html#setMinHeapSize(java.lang.String)">setMinHeapSize</a>, <a href="../../../org/gradle/process/JavaForkOptions.html#setSystemProperties(java.util.Map)">setSystemProperties</a>, <a href="../../../org/gradle/process/JavaForkOptions.html#systemProperties(java.util.Map)">systemProperties</a>, <a href="../../../org/gradle/process/JavaForkOptions.html#systemProperty(java.lang.String,%20java.lang.Object)">systemProperty</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.process.BaseExecSpec">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.process.<a href="../../../org/gradle/process/BaseExecSpec.html" title="interface in org.gradle.process">BaseExecSpec</a></h3>
<code><a href="../../../org/gradle/process/BaseExecSpec.html#getCommandLine()">getCommandLine</a>, <a href="../../../org/gradle/process/BaseExecSpec.html#getErrorOutput()">getErrorOutput</a>, <a href="../../../org/gradle/process/BaseExecSpec.html#getStandardInput()">getStandardInput</a>, <a href="../../../org/gradle/process/BaseExecSpec.html#getStandardOutput()">getStandardOutput</a>, <a href="../../../org/gradle/process/BaseExecSpec.html#isIgnoreExitValue()">isIgnoreExitValue</a>, <a href="../../../org/gradle/process/BaseExecSpec.html#setErrorOutput(java.io.OutputStream)">setErrorOutput</a>, <a href="../../../org/gradle/process/BaseExecSpec.html#setIgnoreExitValue(boolean)">setIgnoreExitValue</a>, <a href="../../../org/gradle/process/BaseExecSpec.html#setStandardInput(java.io.InputStream)">setStandardInput</a>, <a href="../../../org/gradle/process/BaseExecSpec.html#setStandardOutput(java.io.OutputStream)">setStandardOutput</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.process.ProcessForkOptions">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.process.<a href="../../../org/gradle/process/ProcessForkOptions.html" title="interface in org.gradle.process">ProcessForkOptions</a></h3>
<code><a href="../../../org/gradle/process/ProcessForkOptions.html#copyTo(org.gradle.process.ProcessForkOptions)">copyTo</a>, <a href="../../../org/gradle/process/ProcessForkOptions.html#environment(java.util.Map)">environment</a>, <a href="../../../org/gradle/process/ProcessForkOptions.html#environment(java.lang.String,%20java.lang.Object)">environment</a>, <a href="../../../org/gradle/process/ProcessForkOptions.html#executable(java.lang.Object)">executable</a>, <a href="../../../org/gradle/process/ProcessForkOptions.html#getEnvironment()">getEnvironment</a>, <a href="../../../org/gradle/process/ProcessForkOptions.html#getExecutable()">getExecutable</a>, <a href="../../../org/gradle/process/ProcessForkOptions.html#getWorkingDir()">getWorkingDir</a>, <a href="../../../org/gradle/process/ProcessForkOptions.html#setEnvironment(java.util.Map)">setEnvironment</a>, <a href="../../../org/gradle/process/ProcessForkOptions.html#setExecutable(java.lang.Object)">setExecutable</a>, <a href="../../../org/gradle/process/ProcessForkOptions.html#setExecutable(java.lang.String)">setExecutable</a>, <a href="../../../org/gradle/process/ProcessForkOptions.html#setWorkingDir(java.io.File)">setWorkingDir</a>, <a href="../../../org/gradle/process/ProcessForkOptions.html#setWorkingDir(java.lang.Object)">setWorkingDir</a>, <a href="../../../org/gradle/process/ProcessForkOptions.html#workingDir(java.lang.Object)">workingDir</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getMain()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMain</h4>
<pre><a href="../../../org/gradle/api/tasks/Optional.html" title="annotation in org.gradle.api.tasks">@Optional</a>
<a href="../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getMain()</pre>
<div class="block">Returns the fully qualified name of the Main class to be executed.</div>
</li>
</ul>
<a name="setMain(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMain</h4>
<pre><a href="../../../org/gradle/process/JavaExecSpec.html" title="interface in org.gradle.process">JavaExecSpec</a>&nbsp;setMain(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;main)</pre>
<div class="block">Sets the fully qualified name of the main class to be executed.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>main</code> - the fully qualified name of the main class to be executed.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="getArgs()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArgs</h4>
<pre><a href="../../../org/gradle/api/tasks/Optional.html" title="annotation in org.gradle.api.tasks">@Optional</a>
<a href="../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getArgs()</pre>
<div class="block">Returns the arguments passed to the main class to be executed.</div>
</li>
</ul>
<a name="args(java.lang.Object...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>args</h4>
<pre><a href="../../../org/gradle/process/JavaExecSpec.html" title="interface in org.gradle.process">JavaExecSpec</a>&nbsp;args(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;args)</pre>
<div class="block">Adds args for the main class to be executed.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>args</code> - Args for the main class.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="args(java.lang.Iterable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>args</h4>
<pre><a href="../../../org/gradle/process/JavaExecSpec.html" title="interface in org.gradle.process">JavaExecSpec</a>&nbsp;args(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;?&gt;&nbsp;args)</pre>
<div class="block">Adds args for the main class to be executed.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>args</code> - Args for the main class.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="setArgs(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setArgs</h4>
<pre><a href="../../../org/gradle/process/JavaExecSpec.html" title="interface in org.gradle.process">JavaExecSpec</a>&nbsp;setArgs(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;args)</pre>
<div class="block">Sets the args for the main class to be executed.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>args</code> - Args for the main class.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd></dl>
</li>
</ul>
<a name="setArgs(java.lang.Iterable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setArgs</h4>
<pre><a href="../../../org/gradle/process/JavaExecSpec.html" title="interface in org.gradle.process">JavaExecSpec</a>&nbsp;setArgs(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;?&gt;&nbsp;args)</pre>
<div class="block">Sets the args for the main class to be executed.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>args</code> - Args for the main class.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="classpath(java.lang.Object...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>classpath</h4>
<pre><a href="../../../org/gradle/process/JavaExecSpec.html" title="interface in org.gradle.process">JavaExecSpec</a>&nbsp;classpath(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;paths)</pre>
<div class="block">Adds elements to the classpath for executing the main class.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>paths</code> - classpath elements</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="getClasspath()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getClasspath</h4>
<pre><a href="../../../org/gradle/api/tasks/Classpath.html" title="annotation in org.gradle.api.tasks">@Classpath</a>
<a href="../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;getClasspath()</pre>
<div class="block">Returns the classpath for executing the main class.</div>
</li>
</ul>
<a name="setClasspath(org.gradle.api.file.FileCollection)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setClasspath</h4>
<pre><a href="../../../org/gradle/process/JavaExecSpec.html" title="interface in org.gradle.process">JavaExecSpec</a>&nbsp;setClasspath(<a href="../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;classpath)</pre>
<div class="block">Sets the classpath for executing the main class.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>classpath</code> - the classpath</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/process/ExecSpec.html" title="interface in org.gradle.process"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/gradle/process/JavaForkOptions.html" title="interface in org.gradle.process"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/process/JavaExecSpec.html" target="_top">Frames</a></li>
<li><a href="JavaExecSpec.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
